Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.nativebinaries.tasks
[Groovy] Class CreateStaticLibrary

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.nativebinaries.tasks.CreateStaticLibrary

All Implemented Interfaces:
  BuildBinaryTask

    @Incubating
    class CreateStaticLibrary
    extends DefaultTask

Assembles a static library from object files.

Property Summary
`File` | `outputFile` The file where the output binary will be located.
`List` | `staticLibArgs` Additional arguments passed to the archiver.
`Platform` | `targetPlatform` The platform being targeted.
`ToolChain` | `toolChain` The tool chain used for creating the static library.

Constructor Summary
`CreateStaticLibrary()`

Method Summary
`def` | `getOutputType()`
`FileCollection` | `getSource()` The source object files to be passed to the archiver.
`void` | `link()`
`void` | `source(Object source)` Adds a set of object files to be linked.

Property Detail

### outputFile

    @OutputFile
    File outputFile

  The file where the output binary will be located.

### staticLibArgs

    @Input
    List staticLibArgs

  Additional arguments passed to the archiver.

### targetPlatform

    Platform targetPlatform

  The platform being targeted.

### toolChain

    ToolChain toolChain

  The tool chain used for creating the static library.

Constructor Detail

### CreateStaticLibrary

    @Inject
    CreateStaticLibrary()

Method Detail

### getOutputType

    @Input
    def getOutputType()

### getSource

    @InputFiles
    @SkipWhenEmpty // Can't use field due to GRADLE-2026
    FileCollection getSource()

  The source object files to be passed to the archiver.

### link

    @TaskAction
    void link()

### source

    void source(Object source)

  Adds a set of object files to be linked.

  The provided source object is evaluated as per Project.files.

Gradle API 1.10